//https://www.npmjs.com/package/bcrypt
import bcrypt from "bcrypt";

//bcrypt password
const bcryptPassword = (inputPassword: string) => {
  const saltRounds = 10;
  return bcrypt.hash(inputPassword, saltRounds);
};
//compare given password with password in DB
const comparePassword = (inputPassword: string, hashFromDB: string) => {
  return bcrypt.compare(inputPassword, hashFromDB);
};

//exporting functions
const bcryptServices = {
  bcryptPassword: bcryptPassword,
  comparePassword: comparePassword,
};
export default bcryptServices;
