import bcryptServices from "./bcryptFunctions";
import Worker from "./models/Worker";

const createGodWorker = async () => {
  //inserting initial worker(coordinator), only if table stills empty and has not GOD-Worker. Otherwise it will try to create new worker by each server-run, which will result in having errors(e.g. duplicate primary key)
  const tableEmpty = await Worker.findAll();
  if (tableEmpty.length === 0) {
    //password as plain text
    const plainTextPassword = "coordinator_password";

    //create hashed-password and store worker-data into DB
    const hashedPassword = await bcryptServices.bcryptPassword(
      plainTextPassword
    );

    await Worker.create({
      email: "coordinator_email@email-provider.com",
      password: hashedPassword,
      firstName: "coordinator_firstName",
      lastName: "coordinator_lastName",
      role: "coordinator",
    });
  }
};
export default createGodWorker;
